std::pointer_traits< _Ptr > Struct Template Reference
Utilities » Memory » Pointer Abstractions

Inherits std::__ptrtr_pointer_to< _Ptr >.

## Public Types

typedef __ptrtr_diff_type< _Ptr >::__type | difference_type
typedef __ptrtr_elt_type< _Ptr >::__type | element_type
typedef _Ptr | pointer
template<typename _Up >
using | rebind = typename __ptrtr_rebind< _Ptr, _Up >::__type

## Static Public Member Functions

static _Ptr | pointer_to (__element_type &__e)

## Detailed Description

### template<typename _Ptr>
struct std::pointer_traits< _Ptr >

Uniform interface to all pointer-like types.

Definition at line 132 of file ptr_traits.h.

## Member Typedef Documentation

## difference_type

template<typename _Ptr>

typedef __ptrtr_diff_type<_Ptr>::__type std::pointer_traits< _Ptr >::difference_type

Type used to represent the difference between two pointers.

Definition at line 139 of file ptr_traits.h.

## element_type

template<typename _Ptr>

typedef __ptrtr_elt_type<_Ptr>::__type std::pointer_traits< _Ptr >::element_type

The type pointed to.

Definition at line 137 of file ptr_traits.h.

## pointer

template<typename _Ptr>

typedef _Ptr std::pointer_traits< _Ptr >::pointer

The pointer type.

Definition at line 135 of file ptr_traits.h.

The documentation for this struct was generated from the following file:

- ptr_traits.h